$(document).ready(function(){
  // Initialize reCAPTCHA scaling
  scale_recaptcha();
});

// Update reCAPTCHA scaling on window resize
$(window).resize( scale_recaptcha );
  
  
// Resize reCAPTCHA to fit in it's container
// Since it has a fixed width, we're scaling
// using CSS3 transforms

function scale_recaptcha(element_width) {
  // Width of the reCAPTCHA element
  var recaptcha_width = 304;
  // Get the container's width
  var recaptcha_container_width = $('.hs_recaptcha .input').width();
  
  // Only scale the reCAPTCHA if it won't fit inside it's container
  if(recaptcha_width > recaptcha_container_width) {
    // Calculate the scale
    var recaptcha_scale = recaptcha_container_width / recaptcha_width;
    // Apply the transformation to the reCAPTCHA element 
    $('.hs_recaptcha').css({
      'transform':'scale('+recaptcha_scale+')'
    });
    // Change the container's height
    $('.hs_recaptcha .input').css({
      'height':recaptcha_scale*100
    });
  }
}